<?php

  if( $Debug == 1 ){
    echo "Validate User Tendero";
  }

  $debugin    = $decoded['debug'];
  $codigo     = $decoded['codigo'];
  $user_id    = $decoded['user_id'];
  $FechaHoy   = date('Y-m-d H:i:s');

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $id."\n";
    echo $cel."\n";

  }

  if( $codigo && $user_id ){

    //Valida Codigo de Tienda QR
    $Query = "
      SELECT
        tie.id,
        tie.nombre,
        tie.codigoQr,
        tie.fk_pais, pai.nombre AS pais,
        tie.fk_estado, est.estado,
        tie.fk_municipio, mun.municipio,
        tie.codigo_postal, tie.colonia,
        tie.calle, tie.no_exterior, tie.no_interior,
        tie.lat, tie.lng
      FROM tiendas tie
      LEFT JOIN cat_paises pai ON pai.id = tie.fk_pais
      LEFT JOIN cat_estados est ON est.id = tie.fk_estado
      LEFT JOIN cat_municipios mun ON mun.id = tie.fk_municipio
      WHERE
        tie.codigoQr = '$codigo'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $TiendaVal = mysqli_fetch_assoc($Result);
    if( $TiendaVal[id] ){

      //Inserta Visita de Persona
      $Query = "
        INSERT INTO Visitas_FuerzaVentas
        (
          fecha,
          fk_usuario,
          fk_tienda
        )
        VALUES (
          '$FechaHoy',
          '$user_id',
          '$TiendaVal[id]'
        )
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Id = mysqli_insert_id($mysqli);

      if( $Id ){
        $Data = array(
          'action'        => 'ok',
          'codigo'        => $codigo,
          'nombre'        => $TiendaVal[nombre],
          'calle'         => $TiendaVal[calle],
          'num_ext'       => $TiendaVal[no_exterior],
          'num_int'       => $TiendaVal[no_interior],
          'colonia'       => $TiendaVal[colonia],
          'municipio'     => $TiendaVal[municipio],
          'estado'        => $TiendaVal[estado],
          'pais'          => $TiendaVal[pais],
          'codigopostal'  => $TiendaVal[codigo_postal],
          'latitud'       => $TiendaVal[lat],
          'longitud'      => $TiendaVal[lng]
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);
      }else{

        //Error
        $Data = array(
          'action'      => 'error',
          'error'       => 'Er-0',
          'error_msn'   => 'Error'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }else{

      //Error
      $Data = array(
        'action'      => 'error',
        'error'       => 'Er-0',
        'error_msn'   => 'Código incorrecto'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }


  }else{
    //Error
    $Data = array(
      'action'      => 'error',
      'error'       => 'Er-0',
      'error_msn'   => 'Error de lectura'
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);


  }

?>
